Bug 488177 - Duplicated killswitches
Duplicated killswitches
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Blocker/F11FinalBlocker
  Show dependency treegraph
 
Reported: 2009-03-02 19:43 EST by Bastien Nocera
Modified: 2013-01-10 02:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-03 05:55:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
hal-duplicated-killswitch.txt (5.36 KB, text/plain)
2009-03-02 19:43 EST, Bastien Nocera
no flags Details

  None (edit)
Description Bastien Nocera 2009-03-02 19:43:19 EST
Created attachment 333796 [details]
hal-duplicated-killswitch.txt

Killswitch appear both through the Dell and the kernel layers.

Should the Dell backend in HAL just be removed? Mr Garrett has the answer, as he wrote the dell_laptop kernel module that does the rfkill dirty work.
Comment 1 Bastien Nocera 2009-03-02 19:46:04 EST
Note that the names of the kernel killswitches suck though, and this would need to be fixed before this bug is closed.
Comment 2 Matthew Garrett 2009-03-02 19:55:31 EST
Answer: Yes. What kind of names were you thinking of?
Comment 3 Bastien Nocera 2009-03-02 20:42:51 EST
Actually, scratch that, I don't intend on showing those anywhere in my UI. Let's remove it!
Comment 4 Richard Hughes 2009-03-03 03:40:22 EST
+1 -- I think a lot of stuff like that in HAL can be removed. I think a USE_LEGACY_INTERFACES might be more kind, rather than just ripping out the code.
Comment 5 Bastien Nocera 2009-03-03 05:55:37 EST
Fixed in hal-info:
* Tue Mar 03 2009 - Bastien Nocera <bnocera@redhat.com> - 20090202-3
- Remove the Dell native killswitches, replaced by the kernel killswitches
  in dell_laptop (#488177)

and in hal:
* Tue Mar 03 2009 - Bastien Nocera <bnocera@redhat.com> - 0.5.12-23.20090226git
- Remove Dell killswitches support, they're handled through the kernel's
  dell_laptop module instead now (#488177), removes requires for smbios-utils

Note You need to log in before you can comment on or make changes to this bug.